Create a group
Use this endpoint to create a group. At least one of certificateDesignId or badgeDesignId is required.
Use this endpoint to create a group. At least one of certificateDesignId or badgeDesignId is required.
Authorization
BearerAuth Provide your access token in the Authorization header with Bearer auth-scheme. You can view and manage your access tokens in the Certifier Dashboard.
In: header
Header Parameters
API version header. Required for all requests.
Request Body
application/json
The group's name that is used as [group.name] attribute later on
The unique certificate design's identifier. At least one of certificateDesignId and badgeDesignId fields is required
The unique badge design's identifier. At least one of certificateDesignId and badgeDesignId fields is required
The learning event's URL that is shown in the digital wallet
uriResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.certifier.io/v1/groups" \ -H "Certifier-Version: 2022-10-26" \ -H "Content-Type: application/json" \ -d '{ "name": "Financial Markets" }'{
"id": "01g90279gp5sbmfek7wymcsvec",
"name": "Financial Markets",
"learningEventUrl": "https://www.coursera.org/learn/financial-markets-global",
"certificateDesignId": "01fpwtztwf7sacca5r0c483mnm",
"badgeDesignId": "01hz2ej4yzdcfkq9fa78nhyj0x",
"createdAt": "2022-01-01T00:00:00.000Z",
"updatedAt": "2022-01-01T00:00:00.000Z"
}{
"error": {
"code": "missing_version",
"message": "The request is missing the required Certifier-Version header"
}
}{
"error": {
"code": "unauthorized",
"message": "A valid authentication token was not provided with the request"
}
}{
"error": {
"code": "rate_limited",
"message": "You have exceeded the rate limit"
}
}{
"error": {
"code": "internal_server_error",
"message": "There was a problem on Certifier's end"
}
}